Bug 1176021 - Clustered cache with FileStore (shared=false) is inconsistent after restarting one node if entries are deleted during restart
Summary: Clustered cache with FileStore (shared=false) is inconsistent after restartin...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation
Version: 6.3.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 6.4.0
Assignee: Misha H. Ali
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: jdg64-GA-Blockers 1158839
TreeView+ depends on / blocked
 
Reported: 2014-12-19 07:50 UTC by Misha H. Ali
Modified: 2018-12-09 19:22 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1158839
Environment:
Last Closed: 2015-01-27 23:44:17 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker ISPN-4908 0 Major Open Clustered cache with unshared store is inconsistent after restarting one node if entries are deleted during restart 2018-04-19 03:01:19 UTC

Comment 2 Misha H. Ali 2014-12-19 07:51:12 UTC
Tristan, can you clarify what do we want to communicate to users for this bug?

Comment 3 Tristan Tarrant 2015-01-07 13:30:19 UTC
The key here is the fact that the store is unshared and therefore, without implementing "tombstones" (i.e. markers for removed keys), it is impossible to have the expected behaviour described in the issue.
So we should say that we do not support this configuration (clustered cache, unshared cachestore, preload=true).

Comment 4 wfink 2015-01-07 14:15:39 UTC
@Tristan, this is not related to preload=true, in any case the stale entry is returned on this node as it is not marked as deleted!

Comment 6 Tristan Tarrant 2015-01-12 08:32:20 UTC
@Divya this is a documentation bug.

We should add a note to the loaders/stores documentation:
If a clustered cache is configured with an unshared cachestore (shared = false), on node join, stale entries which might have been removed from the cluster might still be present in the stores and will reappear.

Comment 8 Martin Gencur 2015-01-15 12:13:36 UTC
I think the text in docs looks good. VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.